"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _badge = _interopRequireDefault(require("../badge/badge"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getBadgeIcon(status) {
  if (status === 'Schemalagd') return 'set_time';
  if (status === 'Publicerad') return 'check';
  if (status === 'EPi') return 'send';
  if (status === 'Newspilot') return 'send';
  if (status === 'Utkast') return 'draft';
  return 'check';
}

function getStatusFrom(_ref) {
  let {
    sentToEPiAt,
    sentToNpAt,
    publishedAt,
    firstPublishedAt
  } = _ref;

  if (publishedAt && publishedAt > Date.now()) {
    return 'Schemalagd';
  }

  if (firstPublishedAt) {
    return 'Publicerad';
  }

  if (sentToEPiAt && sentToEPiAt > (sentToNpAt || 0)) {
    return 'EPi';
  }

  if (sentToNpAt && sentToNpAt > (sentToEPiAt || 0)) {
    return 'Newspilot';
  }

  return 'Utkast';
}

const ArticleStatusBadge = (_ref2) => {
  let {
    article,
    className
  } = _ref2;
  const articleStatus = getStatusFrom(article);
  const classes = (0, _classnames.default)(className, {
    'article-status-badge--published': articleStatus === 'Publicerad',
    'article-status-badge--scheduled': articleStatus === 'Schemalagd'
  });
  return /*#__PURE__*/_react.default.createElement(_badge.default, {
    className: classes,
    icon: getBadgeIcon(articleStatus)
  }, articleStatus);
};

ArticleStatusBadge.propTypes = {
  className: _propTypes.default.string,
  article: _propTypes.default.shape({
    publishedAt: _propTypes.default.number,
    firstPublishedAt: _propTypes.default.number,
    sentToEPiAt: _propTypes.default.number,
    sentToNpAt: _propTypes.default.number
  }).isRequired
};
ArticleStatusBadge.defaultProps = {
  className: ''
};
var _default = ArticleStatusBadge;
exports.default = _default;