"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Badge = (_ref) => {
  let {
    icon,
    children,
    className,
    onIconClick,
    rightAlignedIcon,
    type,
    tabIndex,
    innerRef
  } = _ref;
  const classes = (0, _classnames.default)('badge', {
    'badge--right-aligned-icon': rightAlignedIcon,
    [`badge--${type}`]: type
  }, className);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes,
    ref: innerRef,
    tabIndex: tabIndex
  }, icon && /*#__PURE__*/_react.default.createElement(_icon.default, {
    className: "badge__container__icon",
    shape: icon,
    onClick: onIconClick,
    small: true
  }), children);
};

Badge.propTypes = {
  className: _propTypes.default.string,
  onIconClick: _propTypes.default.func,
  icon: _propTypes.default.string,
  children: _propTypes.default.node.isRequired,
  rightAlignedIcon: _propTypes.default.bool,
  type: _propTypes.default.string,
  innerRef: _propTypes.default.func,
  tabIndex: _propTypes.default.number
};
Badge.defaultProps = {
  className: '',
  icon: null,
  onIconClick: () => {},
  rightAlignedIcon: false,
  tabIndex: undefined,
  innerRef: undefined,
  type: ''
};
Badge.propDescriptions = {
  type: 'One of dark, darker, success'
};
var _default = Badge;
exports.default = _default;