"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Checkbox = (_ref) => {
  let {
    label,
    checked,
    onChange,
    disabled,
    className
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("button", {
    className: (0, _classnames.default)('checkbox-field', {
      checked
    }, className),
    disabled: disabled,
    onClick: onChange
  }, checked ? /*#__PURE__*/_react.default.createElement(_icon.default, {
    shape: "checked_box"
  }) : /*#__PURE__*/_react.default.createElement(_icon.default, {
    shape: "check_box"
  }), /*#__PURE__*/_react.default.createElement("span", {
    className: "checkbox-field__label"
  }, label));
};

Checkbox.propTypes = {
  checked: _propTypes.default.bool.isRequired,
  onChange: _propTypes.default.func.isRequired,
  label: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  className: _propTypes.default.string
};
Checkbox.defaultProps = {
  label: '',
  disabled: false,
  className: ''
};
Checkbox.propDescriptions = {
  checked: 'If the checkbox is on or off',
  onChange: 'What happens when the checkbox changes',
  label: 'Checkbox label',
  disabled: 'Disabled or not',
  className: ''
};
var _default = Checkbox;
exports.default = _default;