"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class Crow extends _react.default.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "customStyle", index => {
      if (this.props.wingSpan === 'auto') return {};
      return {
        flex: this.props.wingSpan[index]
      };
    });
  }

  render() {
    const {
      wingSpan,
      className,
      up,
      right,
      down,
      left,
      style,
      gutter
    } = this.props;
    const block = 'crow';
    const classes = (0, _classnames.default)(className, block, {
      [`${block}__ws-auto`]: wingSpan === 'auto',
      [`${block}__up`]: up,
      [`${block}__right`]: right,
      [`${block}__down`]: down,
      [`${block}__left`]: left,
      [`${block}__gutter-${gutter}`]: gutter
    });
    return /*#__PURE__*/_react.default.createElement("div", {
      className: classes,
      style: style
    }, _react.default.Children.map(this.props.children, (child, index) => /*#__PURE__*/_react.default.cloneElement(child, _objectSpread(_objectSpread({}, child.props), {}, {
      style: _objectSpread(_objectSpread({}, child.props.style), this.customStyle(index))
    }))));
  }

}

Crow.propTypes = {
  wingSpan: _propTypes.default.oneOfType([_propTypes.default.arrayOf(_propTypes.default.number), _propTypes.default.string]),
  gutter: _propTypes.default.oneOf(['', 'small', 'medium', 'large']),
  style: _propTypes.default.object,
  // eslint-disable-line react/forbid-prop-types
  up: _propTypes.default.bool,
  right: _propTypes.default.bool,
  down: _propTypes.default.bool,
  left: _propTypes.default.bool,
  className: _propTypes.default.string,
  children: _propTypes.default.node
};
Crow.defaultProps = {
  wingSpan: '',
  gutter: '',
  style: {},
  up: false,
  right: false,
  down: false,
  left: false,
  className: '',
  children: null
};
Crow.propDescriptions = {
  wingSpan: '"auto" or an array with ints, corresponding to the wanted child width. Uses flexbox relative values.',
  gutter: 'small, medium or large',
  style: 'Custom styles',
  up: 'Position top',
  right: 'Position right',
  down: 'Position down',
  left: 'Position left',
  className: 'Custom className',
  children: 'HTML-element or <Component />'
};
var _default = Crow;
exports.default = _default;