"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _moment = _interopRequireDefault(require("moment"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class Timepicker extends _react.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onInputChange", e => {
      const {
        onChange,
        date
      } = this.props;
      const [hour, minute] = e.target.value.split(':');
      onChange((0, _moment.default)(date || (0, _moment.default)()).hour(hour).minute(minute).seconds(0));
    });
  }

  render() {
    const {
      date,
      disabled
    } = this.props;
    const value = _moment.default.isMoment(date) ? date.format('HH:mm') : '--:--';
    const className = (0, _classnames.default)('kui-timepicker', {
      'kui-timepicker--disabled': disabled
    });
    return /*#__PURE__*/_react.default.createElement("div", {
      className: className
    }, /*#__PURE__*/_react.default.createElement("label", null, "Tid:"), /*#__PURE__*/_react.default.createElement("input", {
      disabled: disabled,
      type: "time",
      value: value,
      onChange: this.onInputChange
    }));
  }

}

Timepicker.propTypes = {
  date: _propTypes.default.shape({
    hour: _propTypes.default.func.isRequired,
    minute: _propTypes.default.func.isRequired,
    format: _propTypes.default.func.isRequired
  }),
  onChange: _propTypes.default.func.isRequired,
  disabled: _propTypes.default.bool
};
Timepicker.defaultProps = {
  date: null,
  disabled: false
};
var _default = Timepicker;
exports.default = _default;