"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("./../icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const block = 'drop-down-option';

const DropDownOption = (_ref) => {
  let {
    value,
    label,
    isSelected,
    isHighlighted,
    onMouseEnter: _onMouseEnter,
    onSelect
  } = _ref;
  const className = (0, _classnames.default)(block, {
    [`${block}--selected`]: isSelected
  }, {
    [`${block}--highlighted`]: isHighlighted
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    onMouseEnter: () => _onMouseEnter(value),
    className: className,
    onClick: () => onSelect(value)
  }, isSelected && /*#__PURE__*/_react.default.createElement(_icon.default, {
    shape: "check",
    small: true
  }), /*#__PURE__*/_react.default.createElement("span", null, label));
};

DropDownOption.propTypes = {
  value: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.bool, _propTypes.default.string]).isRequired,
  label: _propTypes.default.string.isRequired,
  isSelected: _propTypes.default.bool.isRequired,
  isHighlighted: _propTypes.default.bool.isRequired,
  onSelect: _propTypes.default.func.isRequired,
  onMouseEnter: _propTypes.default.func.isRequired
};
var _default = DropDownOption;
exports.default = _default;