"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _button = _interopRequireDefault(require("../button/button"));

var _dropdown = _interopRequireDefault(require("./dropdown"));

var _icon = _interopRequireDefault(require("../icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class IconDropdown extends _react.default.Component {
  render() {
    const {
      options,
      selectedValue,
      onChange,
      popoverProps
    } = this.props;
    const selectedOption = options.find((_ref) => {
      let {
        value
      } = _ref;
      return value === selectedValue;
    });
    return /*#__PURE__*/_react.default.createElement(_dropdown.default, {
      renderButton: (onClick, ref) => /*#__PURE__*/_react.default.createElement(_button.default, {
        type: "ghost",
        ref: ref,
        icon: selectedOption && selectedOption.icon,
        onClick: onClick
      }),
      options: options,
      onChange: onChange,
      popoverProps: _objectSpread({
        contentClassName: '',
        withoutArrow: false
      }, popoverProps),
      renderOption: (option, highlighted, onClick, onMouseEnter) => /*#__PURE__*/_react.default.createElement("div", {
        key: option.value,
        onMouseEnter: onMouseEnter,
        onClick: onClick,
        className: (0, _classnames.default)('drop-down-option', {
          'drop-down-option--highlighted': highlighted
        })
      }, /*#__PURE__*/_react.default.createElement(_icon.default, {
        shape: option.icon,
        small: true
      }), option.label)
    });
  }

}

exports.default = IconDropdown;
IconDropdown.propTypes = {
  onChange: _propTypes.default.func.isRequired,
  popoverProps: _propTypes.default.shape(),
  options: _propTypes.default.arrayOf(_propTypes.default.shape({
    value: _propTypes.default.string.isRequired,
    label: _propTypes.default.string.isRequired
  })).isRequired,
  selectedValue: _propTypes.default.string.isRequired
};
IconDropdown.defaultProps = {
  popoverProps: {}
};