"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const childRenderer = (child, debug) => {
  if (debug) {
    return /*#__PURE__*/_react.default.createElement("li", null, /*#__PURE__*/_react.default.createElement("div", {
      className: "klara-ui-list__debug-wrapper"
    }, child));
  }

  return /*#__PURE__*/_react.default.createElement("li", null, child);
};

const List = props => {
  const {
    autoSize,
    className,
    padding,
    centered,
    direction,
    children,
    debug
  } = props;
  const block = 'klara-ui-list';
  const classes = (0, _classnames.default)(className, block, {
    [`${block}__auto-size`]: autoSize,
    [`${block}__padding-${padding}`]: padding,
    [`${block}__centered`]: centered,
    [`${block}__${direction}`]: direction,
    [`${block}__debug`]: debug
  });
  return /*#__PURE__*/_react.default.createElement("ul", {
    className: classes
  }, _react.default.Children.map(children, child => child ? childRenderer(child, debug) : null));
};

List.propTypes = {
  autoSize: _propTypes.default.bool,
  padding: _propTypes.default.string,
  centered: _propTypes.default.bool,
  direction: _propTypes.default.string,
  className: _propTypes.default.string,
  children: _propTypes.default.node,
  debug: _propTypes.default.bool
};
List.defaultProps = {
  autoSize: false,
  padding: 'none',
  centered: false,
  direction: 'center-center',
  className: '',
  children: null,
  debug: false
};
List.propDescriptions = {
  autoSize: 'true to make list items stretch evenly',
  padding: 'none, small, medium or large',
  direction: 'right, down, left, up or center-center',
  children: 'HTML-element or <Component />',
  debug: 'Turn on visual debug mode'
};
var _default = List;
exports.default = _default;