"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _fp = require("lodash/fp");

var _list = _interopRequireDefault(require("../list/list"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class MenuBar extends _react.default.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      activeMenuIndex: this.props.initialActiveMenuIndex
    });
  }

  render() {
    const {
      children,
      className,
      horizontal,
      theme,
      style,
      initialActiveMenuIndex
    } = this.props;
    const block = 'kui-menu-bar';
    const classes = (0, _classnames.default)(block, className, {
      [`${block}__horizontal`]: horizontal,
      [`${block}__${theme}`]: theme
    });
    return /*#__PURE__*/_react.default.createElement("div", {
      className: classes,
      style: style
    }, /*#__PURE__*/_react.default.createElement(_list.default, {
      direction: horizontal ? 'left' : 'up'
    }, _react.default.Children.map((0, _fp.compact)(children), (child, i) => {
      const {
        props: childProps
      } = child;
      const {
        activeMenuIndex
      } = this.state;
      const classToAppend = (0, _classnames.default)(childProps.className, {
        active: i === activeMenuIndex
      });

      const mergeProps = _objectSpread(_objectSpread({}, childProps), {}, {
        className: classToAppend,
        onClick: () => {
          if (initialActiveMenuIndex !== -1) {
            this.setState({
              activeMenuIndex: i
            });
          }

          childProps.onClick();
        }
      });

      return /*#__PURE__*/_react.default.cloneElement(child, mergeProps);
    })));
  }

}

MenuBar.propTypes = {
  children: _propTypes.default.node,
  style: _propTypes.default.shape(),
  className: _propTypes.default.string,
  horizontal: _propTypes.default.bool,
  theme: _propTypes.default.string,
  initialActiveMenuIndex: _propTypes.default.number
};
MenuBar.defaultProps = {
  style: {},
  className: '',
  horizontal: false,
  theme: 'white',
  initialActiveMenuIndex: -1,
  children: null
};
MenuBar.propDescriptions = {
  children: `Takes klara ui <Button>'s`,
  style: 'Custom styles',
  className: 'Custom classnames',
  horizontal: 'Render as a horizontal menu, defaults to vertical',
  theme: 'The color theme of the menu bar. White or gray.',
  initialActiveMenuIndex: 'Which menu item should start off as active (array index)'
};
var _default = MenuBar;
exports.default = _default;