"use strict";

var _react = _interopRequireDefault(require("react"));

var _chai = require("chai");

var _enzyme = require("enzyme");

var _menuBar = _interopRequireDefault(require("./../menuBar"));

var _button = _interopRequireDefault(require("./../../button/button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('MenuBar', () => {
  it('should render a MenuBar', () => {
    const menuBar = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_menuBar.default, null, /*#__PURE__*/_react.default.createElement(_button.default, null, "First"), /*#__PURE__*/_react.default.createElement(_button.default, null, "Second")));
    (0, _chai.expect)(menuBar).to.have.className('kui-menu-bar');
  });
  it('should render a horizontal MenuBar', () => {
    const menuBar = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_menuBar.default, {
      horizontal: true
    }, /*#__PURE__*/_react.default.createElement(_button.default, null, "First"), /*#__PURE__*/_react.default.createElement(_button.default, null, "Second")));
    (0, _chai.expect)(menuBar).to.have.className('kui-menu-bar__horizontal');
  });
  it('should render with none of the menu choices as active', () => {
    const menuBar = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_menuBar.default, null, /*#__PURE__*/_react.default.createElement(_button.default, null, "First"), /*#__PURE__*/_react.default.createElement(_button.default, null, "Second")));
    (0, _chai.expect)(menuBar.find(_button.default).at(0)).to.not.have.className('active');
    (0, _chai.expect)(menuBar.find(_button.default).at(1)).to.not.have.className('active');
  });
  it('should render with the initialActiveMenuIndex menu choice as active', () => {
    const menuBar = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_menuBar.default, {
      initialActiveMenuIndex: 1
    }, /*#__PURE__*/_react.default.createElement(_button.default, null, "First"), /*#__PURE__*/_react.default.createElement(_button.default, null, "Second")));
    (0, _chai.expect)(menuBar.find(_button.default).at(1)).to.have.className('active');
  });
});