"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _list = _interopRequireDefault(require("../list/list"));

var _icon = _interopRequireDefault(require("../icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const RadioButtons = (_ref) => {
  let {
    options,
    selected,
    onChange
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "kui-radiobuttons"
  }, /*#__PURE__*/_react.default.createElement(_list.default, {
    direction: "left",
    padding: "large"
  }, options.map(option => /*#__PURE__*/_react.default.createElement("div", {
    key: option.value,
    className: "kui-radiobuttons__option",
    onClick: () => {
      onChange(option.value);
    },
    tabIndex: "0"
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    shape: selected === option.value ? 'radio_selected' : 'radio'
  }), option.label))));
};

RadioButtons.propTypes = {
  selected: _propTypes.default.string,
  options: _propTypes.default.arrayOf(_propTypes.default.shape({
    label: _propTypes.default.string.isRequired,
    value: _propTypes.default.string.isRequired
  })).isRequired,
  onChange: _propTypes.default.func.isRequired
};
RadioButtons.defaultProps = {
  selected: null
};
RadioButtons.propDescriptions = {
  selected: 'The currently selected option value',
  options: 'A list of options to render as radio buttons. Each option is required to include label and value.',
  onChange: 'Called as the value changes'
};
var _default = RadioButtons;
exports.default = _default;