"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const typeMap = {
  robot: 'spinner--robot',
  fading: 'spinner--fading'
};

class Spinner extends _react.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      showSpinner: !this.props.delay || false
    });

    _defineProperty(this, "convertedSize", numOrStr => {
      if (typeof numOrStr === 'string') {
        const sizes = {
          small: '64',
          medium: '128',
          large: '256'
        };
        return sizes[numOrStr];
      }

      return numOrStr;
    });
  }

  componentDidMount() {
    if (this.state.showSpinner) return;
    const {
      delay
    } = this.props;
    this.delayTimeout = setTimeout(() => {
      this.setState({
        showSpinner: true
      });
    }, delay);
  }

  componentWillUnmount() {
    clearTimeout(this.delayTimeout);
  }

  render() {
    const {
      className,
      type,
      light,
      size
    } = this.props;
    const {
      showSpinner
    } = this.state;
    const classes = (0, _classnames.default)(typeMap[type] || typeMap.robot, className, {
      'spinner--light': light,
      'spinner--fadein': showSpinner
    });
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, showSpinner && /*#__PURE__*/_react.default.createElement(_icon.default, {
      shape: "logo",
      className: classes,
      size: this.convertedSize(size)
    }));
  }

}

exports.default = Spinner;
Spinner.defaultProps = {
  className: '',
  type: 'robot',
  size: 128,
  light: false,
  delay: 0
};
Spinner.propTypes = {
  className: _propTypes.default.string,
  type: _propTypes.default.string,
  size: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string]),
  light: _propTypes.default.bool,
  delay: _propTypes.default.number
};