"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const BASE_CLASS = 'klara-ui-switch';

function prefix(className) {
  return `${BASE_CLASS}__${className}`;
}

class Switch extends _react.default.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onChange", event => {
      this.props.onChange(event.target.checked, event);
    });
  }

  render() {
    const {
      value,
      label,
      className,
      disabled
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("label", {
      className: (0, _classnames.default)(BASE_CLASS, className)
    }, /*#__PURE__*/_react.default.createElement("input", {
      className: prefix('input'),
      type: "checkbox",
      ref: this.inputRef,
      checked: value,
      onChange: this.onChange,
      disabled: disabled
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: (0, _classnames.default)(prefix('wrapper'), {
        [prefix('wrapper--disabled')]: disabled
      })
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: (0, _classnames.default)(prefix('track'), {
        [prefix('track--on')]: Boolean(value)
      })
    }), /*#__PURE__*/_react.default.createElement("div", {
      className: (0, _classnames.default)(prefix('knob'), {
        [prefix('knob--on')]: Boolean(value)
      })
    })), label && /*#__PURE__*/_react.default.createElement("span", {
      className: prefix('label-text')
    }, label));
  }

}

Switch.propTypes = {
  value: _propTypes.default.bool,
  onChange: _propTypes.default.func,
  label: _propTypes.default.string,
  className: _propTypes.default.string,
  disabled: _propTypes.default.bool
};
Switch.defaultProps = {
  value: false,
  onChange: () => {},
  label: null,
  className: '',
  disabled: false
};
Switch.propDescriptions = {
  value: 'True and false maps to "on" and "off"',
  onChange: 'Callback which runs as the switch changes value, new value is passed as the only argument',
  label: 'A descriptive label. Will be vertically centered to the switch itself',
  className: 'Any combination of CSS classnames'
};
var _default = Switch;
exports.default = _default;