"use strict";

var _react = _interopRequireDefault(require("react"));

var _chai = require("chai");

var _enzyme = require("enzyme");

var _sinon = _interopRequireDefault(require("sinon"));

var _switch = _interopRequireDefault(require("../switch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Switch', () => {
  it('should render a switch', () => {
    const switchComponent = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_switch.default, null));
    (0, _chai.expect)(switchComponent).to.have.className('klara-ui-switch');
  });
  it('should call the onChange handler when clicked', () => {
    const onChange = _sinon.default.stub();

    const switchComponent = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_switch.default, {
      onChange: onChange
    }));
    let checked = true;
    switchComponent.find('input').simulate('change', {
      target: {
        checked
      }
    });
    (0, _chai.expect)(onChange).to.have.been.calledWith(true);
    checked = false;
    switchComponent.find('input').simulate('change', {
      target: {
        checked
      }
    });
    (0, _chai.expect)(onChange).to.have.been.calledWith(false);
  });
});