"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const OverflowIndicator = (_ref) => {
  let {
    direction,
    visible,
    onClick
  } = _ref;
  const icon = direction === 'right' ? 'chevron_right' : 'chevron_left';
  const classes = (0, _classnames.default)({
    'klara-ui-tabs__overflow-indicator--left': direction === 'left',
    'klara-ui-tabs__overflow-indicator--right': direction === 'right',
    visible
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    onClick: onClick,
    className: classes
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    shape: icon,
    size: 30
  }));
};

OverflowIndicator.propTypes = {
  direction: _propTypes.default.oneOf(['right', 'left']).isRequired,
  visible: _propTypes.default.bool,
  onClick: _propTypes.default.func
};
OverflowIndicator.defaultProps = {
  visible: true,
  onClick: () => {}
};
var _default = OverflowIndicator;
exports.default = _default;