"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../../components/icon/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class Tab extends _react.default.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      icon: 'remove_outline'
    });

    _defineProperty(this, "onIconClick", e => {
      e.stopPropagation();
      this.props.onClose(this.props.tab);
    });

    _defineProperty(this, "onIconMouseEnter", () => this.setState({
      icon: 'remove'
    }));

    _defineProperty(this, "onIconMouseLeave", () => this.setState({
      icon: 'remove_outline'
    }));

    _defineProperty(this, "onClick", () => this.props.onClick(this.props.tab));
  }

  render() {
    const {
      icon
    } = this.state;
    const {
      active,
      tab,
      immortal
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("div", {
      onClick: this.onClick,
      title: tab.title,
      className: (0, _classnames.default)('klara-ui-tabs__tab', {
        'klara-ui-tabs__tab--active': active
      })
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "klara-ui-tabs__tab__background"
    }), /*#__PURE__*/_react.default.createElement("span", {
      className: "klara-ui-tabs__tab__title"
    }, tab.title), !immortal && /*#__PURE__*/_react.default.createElement("span", {
      className: "klara-ui-tabs__tab__close",
      onMouseEnter: this.onIconMouseEnter,
      onMouseLeave: this.onIconMouseLeave
    }, /*#__PURE__*/_react.default.createElement(_icon.default, {
      shape: icon,
      small: true,
      onClick: this.onIconClick
    })));
  }

}

Tab.propTypes = {
  active: _propTypes.default.bool,
  immortal: _propTypes.default.bool,
  onClick: _propTypes.default.func,
  onClose: _propTypes.default.func,
  tab: _propTypes.default.shape({
    title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.object]),
    id: _propTypes.default.string.isRequired
  }).isRequired
};
Tab.defaultProps = {
  active: false,
  immortal: false,
  onClick: () => {},
  onClose: () => {}
};
var _default = Tab;
exports.default = _default;