"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FieldCounter = (_ref) => {
  let {
    className,
    maxLength,
    value,
    counterFunc
  } = _ref;

  if (maxLength < 0) {
    return null;
  }

  const counterPos = counterFunc(maxLength, value);
  const rootClassName = (0, _classnames.default)(className, 'field-counter', {
    'field-counter--maxed': counterPos < 0
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: rootClassName
  }, counterPos);
};

FieldCounter.propTypes = {
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  counterFunc: _propTypes.default.func.isRequired,
  maxLength: _propTypes.default.number,
  className: _propTypes.default.string
};
FieldCounter.defaultProps = {
  value: '',
  className: '',
  maxLength: -1
};
var _default = FieldCounter;
exports.default = _default;