"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class InputMultiLine extends _react.default.PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onChange", (_ref) => {
      let {
        target
      } = _ref;
      return this.props.onChange(target.value);
    });

    _defineProperty(this, "fillRef", ref => {
      this.inputRef = ref;
    });
  }

  componentDidMount() {
    this.resize();
  }

  componentDidUpdate() {
    this.resize();
  }

  focus() {
    this.inputRef.focus();
  }

  resize() {
    const {
      inputRef
    } = this;

    if (!inputRef) {
      return;
    }

    inputRef.style.cssText = '';
    window.requestAnimationFrame(() => {
      const {
        scrollHeight,
        clientHeight
      } = inputRef;

      if (scrollHeight > clientHeight) {
        inputRef.style.cssText = `min-height: ${scrollHeight}px`;

        if (window.innerHeight < inputRef.getBoundingClientRect().top + clientHeight) {
          inputRef.scrollIntoView({
            block: 'end'
          });
        }
      }
    });
  }

  render() {
    const _this$props = this.props,
          {
      className
    } = _this$props,
          attrs = _objectWithoutProperties(_this$props, ["className"]);

    return /*#__PURE__*/_react.default.createElement("textarea", _extends({}, attrs, {
      rows: "1",
      ref: this.fillRef,
      className: `${className} text-field__control--native`,
      onChange: this.onChange
    }));
  }

}

exports.default = InputMultiLine;
InputMultiLine.propTypes = {
  value: _propTypes.default.string,
  disabled: _propTypes.default.bool.isRequired,
  maxLength: _propTypes.default.number.isRequired,
  className: _propTypes.default.string.isRequired,
  onBlur: _propTypes.default.func.isRequired,
  onFocus: _propTypes.default.func.isRequired,
  onChange: _propTypes.default.func.isRequired
};
InputMultiLine.defaultProps = {
  value: ''
};