"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function splitOnMatches(string, subString) {
  const matchIndices = [];
  let currentIndex = 0;

  while (string.toLowerCase().indexOf(subString.toLowerCase(), currentIndex) !== -1) {
    currentIndex = string.toLowerCase().indexOf(subString.toLowerCase(), currentIndex);
    matchIndices.push(currentIndex);
    matchIndices.push(currentIndex + subString.length);
    currentIndex += 1;
  }

  if (!matchIndices.length) {
    return [string];
  }

  const parts = [];
  matchIndices.reduce((previous, index) => {
    const part = string.slice(previous, index);
    parts.push(part);
    return previous + part.length;
  }, 0);
  return parts.concat(string.substr(matchIndices[matchIndices.length - 1]));
}

const TextHighlight = (_ref) => {
  let {
    children,
    highlight,
    renderHighlight
  } = _ref;

  if (!highlight.length) {
    return children;
  }

  const parts = splitOnMatches(children, highlight);
  return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, parts.map((part, key) => part.toLowerCase() === highlight.toLowerCase() ? renderHighlight(part, {
    key
  }) : part));
};

TextHighlight.propTypes = {
  children: _propTypes.default.string.isRequired,
  highlight: _propTypes.default.string.isRequired,
  renderHighlight: _propTypes.default.func
};
TextHighlight.defaultProps = {
  renderHighlight: (fragment, highlightProps) => /*#__PURE__*/_react.default.createElement("mark", highlightProps, fragment)
};
TextHighlight.propDescriptions = {
  children: 'String to be highlighted',
  highlight: 'Substring to highlight',
  renderHighlight: 'Optional render prop to control decoration of highlighted fragments. Called with the string to highlight and highligtProps to be spread on the element'
};
var _default = TextHighlight;
exports.default = _default;