"use strict";

var _react = _interopRequireDefault(require("react"));

var _chai = require("chai");

var _enzyme = require("enzyme");

var _sinon = _interopRequireDefault(require("sinon"));

var _toggleButtonGroup = _interopRequireDefault(require("./../toggleButtonGroup"));

var _button = _interopRequireDefault(require("./../../button/button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Toggle Button Group', () => {
  let onActiveIndexChange;
  let onButtonClick;
  before(() => {
    onActiveIndexChange = _sinon.default.stub();
    onButtonClick = _sinon.default.stub();
  });
  it('should set the first button as active activeIndex is set to one', () => {
    const buttonGroup = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_toggleButtonGroup.default, {
      activeIndex: 0
    }, /*#__PURE__*/_react.default.createElement(_button.default, null), /*#__PURE__*/_react.default.createElement(_button.default, null)));
    (0, _chai.expect)(buttonGroup.find(_button.default).first().props().active).to.be.true();
  });
  it('should invoke activeIndexChange and buttonClick if a button is clicked', () => {
    const buttonGroup = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_toggleButtonGroup.default, {
      activeIndex: 0,
      onActiveIndexChange: onActiveIndexChange
    }, /*#__PURE__*/_react.default.createElement(_button.default, null), /*#__PURE__*/_react.default.createElement(_button.default, {
      onClick: onButtonClick
    })));
    buttonGroup.find(_button.default).last().simulate('click');
    (0, _chai.expect)(onButtonClick).to.have.been.calledOnce();
    (0, _chai.expect)(onButtonClick.args[0][0].type).to.equal('click');
    (0, _chai.expect)(onActiveIndexChange).to.have.been.calledOnce();
    (0, _chai.expect)(onActiveIndexChange).to.have.been.calledWith(1);
  });
});