"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _list = _interopRequireDefault(require("../list/list"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const ToggleButtonGroup = (_ref) => {
  let {
    children,
    activeIndex,
    onActiveIndexChange
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_list.default, {
    direction: "left",
    padding: "small",
    className: "toggle-button-group"
  }, _react.default.Children.map(children, (child, index) => {
    const buttonProps = _objectSpread(_objectSpread({}, child.props), {}, {
      active: index === activeIndex,
      compact: true,
      type: 'ghost',
      onClick: evt => {
        onActiveIndexChange(index);

        if (child.props.onClick) {
          child.props.onClick(evt);
        }
      }
    });

    return /*#__PURE__*/(0, _react.cloneElement)(child, buttonProps);
  }));
};

ToggleButtonGroup.defaultProps = {
  onActiveIndexChange: () => {}
};
ToggleButtonGroup.propTypes = {
  activeIndex: _propTypes.default.number.isRequired,
  children: _propTypes.default.node.isRequired,
  onActiveIndexChange: _propTypes.default.func
};
var _default = ToggleButtonGroup;
exports.default = _default;