"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ToolTip = props => {
  const {
    children,
    direction,
    zIndex
  } = props;
  const className = 'klara-ui-tooltip';
  const classes = (0, _classnames.default)(className, `${className}__${direction}`);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes,
    style: {
      zIndex
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "klara-ui-tooltip__inner"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "klara-ui-tooltip__text"
  }, children)));
};

ToolTip.propTypes = {
  children: _propTypes.default.node.isRequired,
  direction: _propTypes.default.string,
  zIndex: _propTypes.default.number
};
ToolTip.defaultProps = {
  direction: 'left',
  zIndex: 999
};
ToolTip.propDescriptions = {
  children: 'Text as output for the tooltip',
  direction: 'Up, right, down or left; from where would you like the tooltip to render',
  zIndex: 'If the implementation requires a higher/lower zIndex'
};
var _default = ToolTip;
exports.default = _default;