import React from 'react';
import PropTypes from 'prop-types';
import Button from '../../components/button/button';

const NewTab = ({ onClick }) => (
  <div className="klara-ui-tabs__add-tab">
    <Button
      type="ghost"
      icon="add"
      size="small"
      {...(onClick ? { onClick } : {})}
      disabled={!onClick}
    />
  </div>
);

NewTab.propTypes = {
  onClick: PropTypes.func,
};

NewTab.defaultProps = {
  onClick: undefined,
};

export default NewTab;
